<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Formulas](./bitburner.formulas.md)

## Formulas interface

Formulas API

**Signature:**

```typescript
export interface Formulas 
```

## Remarks

You need Formulas.exe on your home computer to use this API.

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [gang](./bitburner.formulas.gang.md) |  | [GangFormulas](./bitburner.gangformulas.md) | Gang formulas |
|  [hacking](./bitburner.formulas.hacking.md) |  | [HackingFormulas](./bitburner.hackingformulas.md) | Hacking formulas |
|  [hacknetNodes](./bitburner.formulas.hacknetnodes.md) |  | [HacknetNodesFormulas](./bitburner.hacknetnodesformulas.md) | Hacknet Nodes formulas |
|  [hacknetServers](./bitburner.formulas.hacknetservers.md) |  | [HacknetServersFormulas](./bitburner.hacknetserversformulas.md) | Hacknet Servers formulas |
|  [reputation](./bitburner.formulas.reputation.md) |  | [ReputationFormulas](./bitburner.reputationformulas.md) | Reputation formulas |
|  [skills](./bitburner.formulas.skills.md) |  | [SkillsFormulas](./bitburner.skillsformulas.md) | Skills formulas |
|  [work](./bitburner.formulas.work.md) |  | [WorkFormulas](./bitburner.workformulas.md) | Work formulas |

## Methods

|  Method | Description |
|  --- | --- |
|  [mockPerson()](./bitburner.formulas.mockperson.md) |  |
|  [mockPlayer()](./bitburner.formulas.mockplayer.md) |  |
|  [mockServer()](./bitburner.formulas.mockserver.md) |  |

